Bug 55621 - FILESAVE: default row heights not exported for xlsx
Summary: FILESAVE: default row heights not exported for xlsx
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.2.1 rc
Hardware: Other All
: medium normal
Assignee: Noel Power
URL:
Whiteboard: target:3.6.3 target:3.7.0 target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-04 12:52 UTC by Noel Power
Modified: 2013-01-30 18:08 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
test document (8.32 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2012-10-04 12:59 UTC, Noel Power
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Power 2012-10-04 12:52:04 UTC
default heights are lost when exporting xlsx documents.
Comment 1 Noel Power 2012-10-04 12:52:18 UTC
taking it
Comment 2 Noel Power 2012-10-04 12:59:13 UTC
Created attachment 68080 [details]
test document

* open attached document
* view row heights for row 1-5, 6-11, 18-21, they should be

row 1-5    5.29mm
row 6-11  10.58mm
row 18-21 17.67mm

* save-as something.xlsx
* reload document
* again review the row heights

row 1-5   will be the calc default row height ( 4.52mm for me )
row 6-11  10.58mm
row 18-21 17.67mm

this is a regression
Comment 3 Not Assigned 2012-10-04 15:48:55 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6b686a18539b384d032358879bd06d2def280842&g=libreoffice-3-6

really export default row heights for xlsx fdo#55621


It will be available in LibreOffice 3.6.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2012-10-04 15:49:48 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=743e9b1b63574fa79aff934369454868895d510c&g=libreoffice-3-6

Revert "really export default row heights for xlsx fdo#55621" wrong branch


It will be available in LibreOffice 3.6.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Not Assigned 2012-10-04 19:33:22 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5a651522acb42fcffa6defc212cb8d0e9b9b7d3f

really export default row heights for xlsx fdo#55621



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Not Assigned 2012-10-04 19:55:02 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=07a4f761ddead5e1f2af96ab5793fcc94d1abcaa&g=libreoffice-3-6

really export default row heights for xlsx fdo#55621


It will be available in LibreOffice 3.6.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Jorendc 2013-01-27 01:02:52 UTC
When I create a own test file I can reproduce this behavior.

Steps:
* Open calc
* Set row heights as mentioned in Comment 1
* Save as xlsx
* Reopen sheet

Behavior: miscalculated row heights. Some rows are higher then others that normally should have same row height.

Tested with LibreOffice 4.0.0.2 rc2 with Linux Mint 14 x64
Comment 8 Noel Power 2013-01-28 13:54:09 UTC
(In reply to comment #7)
> When I create a own test file I can reproduce this behavior.
> 
> Steps:
> * Open calc
> * Set row heights as mentioned in Comment 1
> * Save as xlsx
> * Reopen sheet
> 
> Behavior: miscalculated row heights. Some rows are higher then others that
> normally should have same row height.
> 
> Tested with LibreOffice 4.0.0.2 rc2 with Linux Mint 14 x64

totally different issue, this bug is about saving to xlsx the default row height ( which it does ) and the test document above still works ( on master )

the issue you point out is valid though but deserves a new bug ( and this one should have been closed a long time ago )
Comment 9 Noel Power 2013-01-28 14:26:47 UTC
(In reply to comment #8)
[...]
> the issue you point out is valid though but deserves a new bug ( and this
> one should have been closed a long time ago )

see bug# 59973
Comment 10 Not Assigned 2013-01-30 18:08:44 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9327467a2c5537613fa59013258532028da9c43b

better default row detection ( associated with fdo#55621 )



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.